---
name: Snikket

packages:
  WebRTC:
    url: https://github.com/stasel/WebRTC.git
    majorVersion: 116.0.0
  OpenSSL:
    url: https://github.com/krzyzanowskim/OpenSSL
    majorVersion: 1.0.0

localPackages:
  - ./Packages/Engine

settings:
  DEVELOPMENT_TEAM: U6CKGHL5VR

parallelizeBuild: true

targets:
  Snikket:
    type: application
    platform: iOS
    deploymentTarget: 15.0
    # platform: [iOS, macOS]
    # deploymentTarget:
    #   iOS: 15.0
    #   macOS: 13.0
    scheme: {}
    info:
      path: Info.plist
      properties:
        CFBundleIdentifier: imt.narayana.snikket
        CFBundleName: Snikket
        UISupportedInterfaceOrientations: [UIInterfaceOrientationPortrait]
        UILaunchStoryboardName: launchscreen.storyboard
        # UIViewControllerBasedStatusBarAppearance: NO
        # UIStatusBarStyle: UIStatusBarStyleLightContent
        # NSCameraUsageDescription: Required for document and facial capture
        # NSFaceIDUsageDescription: Required for accessing to account info
        # UIUserInterfaceStyle: Light
    sources:
      - path: Snikket
        excludes:
          - old
          - .idea

    settings:
      TARGETED_DEVICE_FAMILY: 1
      DEBUG_INFORMATION_FORMAT: dwarf-with-dsym
      PRODUCT_BUNDLE_IDENTIFIER: imt.narayana.snikket

    #   configs:
    #     debug:
    #       CUSTOM_BUILD_SETTING: my_debug_value
    #     release:
    #       CUSTOM_BUILD_SETTING: my_release_value

    dependencies:
      - package: Engine
      - sdk: Security.framework
      - package: WebRTC
        link: true
      - package: OpenSSL
        link: true


    preBuildScripts:
      - script: swiftlint
        name: Swiftlint
        basedOnDependencyAnalysis: false
      - script: ./.swiftgen/bin/swiftgen
        name: SwiftGen
        basedOnDependencyAnalysis: false
